## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JStrategy.RegistrationInfo

    java.lang.Object
      org.opennms.netmgt.snmp.snmp4j.Snmp4JStrategy.RegistrationInfo

Enclosing class:
  Snmp4JStrategy

    public static class Snmp4JStrategy.RegistrationInfo

extends java.lang.Object

Field Summary
`org.opennms.netmgt.snmp.TrapNotificationListener` `m_listener`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`Snmp4JTrapNotifier` `getHandler()`
`int` `getPort()`
`org.snmp4j.Snmp` `getSession()`
`org.snmp4j.TransportMapping` `getTransportMapping()`
`int` `hashCode()`
`void` `setHandler(Snmp4JTrapNotifier trapHandler)`
`void` `setSession(org.snmp4j.Snmp trapSession)`
`void` `setTransportMapping(org.snmp4j.TransportMapping transport)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_listener

    public org.opennms.netmgt.snmp.TrapNotificationListener m_listener

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### setSession

    public void setSession(org.snmp4j.Snmp trapSession)

### getSession

    public org.snmp4j.Snmp getSession()

### setHandler

    public void setHandler(Snmp4JTrapNotifier trapHandler)

### getHandler

    public Snmp4JTrapNotifier getHandler()

### getPort

    public int getPort()

### setTransportMapping

    public void setTransportMapping(org.snmp4j.TransportMapping transport)

### getTransportMapping

    public org.snmp4j.TransportMapping getTransportMapping()

Copyright © 2009. All Rights Reserved.